Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming.java
Class javaRootURLContext

    java.lang.Object
      org.mortbay.naming.java.javaRootURLContext

All Implemented Interfaces:
  Context

    public class javaRootURLContext

extends Object
implements Context

javaRootURLContext

This is the root of the java: url namespace

#### Notes

Thanks to Rickard Oberg for the idea of binding an ObjectFactory at "comp".

#### Usage

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Field Summary

    protected  Hashtable
    _env

    protected static NameParser
    _javaNameParser

    protected static NamingContext
    _nameRoot

    static String
    URL_PREFIX

    Fields inherited from interface javax.naming.Context

    APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES

    Constructor Summary

    javaRootURLContext(Hashtable env)

              Creates a new javaRootURLContext instance.

    Method Summary

     Object
    addToEnvironment(String propName,
                     Object propVal)

     void
    bind(Name name,
         Object obj)

     void
    bind(String name,
         Object obj)

     void
    close()

     Name
    composeName(Name name,
                Name prefix)

     String
    composeName(String name,
                String prefix)

     Context
    createSubcontext(Name name)

     Context
    createSubcontext(String name)

     void
    destroySubcontext(Name name)

     void
    destroySubcontext(String name)

     Hashtable
    getEnvironment()

     String
    getNameInNamespace()

     NameParser
    getNameParser(Name name)

     NameParser
    getNameParser(String name)

    protected  NamingContext
    getRoot()

     NamingEnumeration
    list(Name name)

     NamingEnumeration
    list(String name)

     NamingEnumeration
    listBindings(Name name)

     NamingEnumeration
    listBindings(String name)

     Object
    lookup(Name name)

     Object
    lookup(String name)

     Object
    lookupLink(Name name)

     Object
    lookupLink(String name)

     void
    rebind(Name name,
           Object obj)

     void
    rebind(String name,
           Object obj)

     Object
    removeFromEnvironment(String propName)

     void
    rename(Name oldName,
           Name newName)

     void
    rename(String oldStr,
           String newStr)

    protected  Name
    stripProtocol(Name name)

    protected  String
    stripProtocol(String name)

     void
    unbind(Name name)

     void
    unbind(String name)

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Field Detail

    URL_PREFIX

    public static final String URL_PREFIX

    See Also:Constant Field Values

    _env

    protected Hashtable _env

    _nameRoot

    protected static NamingContext _nameRoot

    _javaNameParser

    protected static NameParser _javaNameParser

    Constructor Detail

    javaRootURLContext

    public javaRootURLContext(Hashtable env)

    Creates a new javaRootURLContext instance.

    Parameters:env - a Hashtable value

    Method Detail

    lookup

    public Object lookup(Name name)
                  throws NamingException

    Specified by:lookup in interface Context

    Throws:
    NamingException

    lookup

    public Object lookup(String name)
                  throws NamingException

    Specified by:lookup in interface Context

    Throws:
    NamingException

    bind

    public void bind(Name name,
                     Object obj)
              throws NamingException

    Specified by:bind in interface Context

    Throws:
    NamingException

    bind

    public void bind(String name,
                     Object obj)
              throws NamingException

    Specified by:bind in interface Context

    Throws:
    NamingException

    unbind

    public void unbind(String name)
                throws NamingException

    Specified by:unbind in interface Context

    Throws:
    NamingException

    unbind

    public void unbind(Name name)
                throws NamingException

    Specified by:unbind in interface Context

    Throws:
    NamingException

    rename

    public void rename(String oldStr,
                       String newStr)
                throws NamingException

    Specified by:rename in interface Context

    Throws:
    NamingException

    rename

    public void rename(Name oldName,
                       Name newName)
                throws NamingException

    Specified by:rename in interface Context

    Throws:
    NamingException

    rebind

    public void rebind(Name name,
                       Object obj)
                throws NamingException

    Specified by:rebind in interface Context

    Throws:
    NamingException

    rebind

    public void rebind(String name,
                       Object obj)
                throws NamingException

    Specified by:rebind in interface Context

    Throws:
    NamingException

    lookupLink

    public Object lookupLink(Name name)
                      throws NamingException

    Specified by:lookupLink in interface Context

    Throws:
    NamingException

    lookupLink

    public Object lookupLink(String name)
                      throws NamingException

    Specified by:lookupLink in interface Context

    Throws:
    NamingException

    createSubcontext

    public Context createSubcontext(Name name)
                             throws NamingException

    Specified by:createSubcontext in interface Context

    Throws:
    NamingException

    createSubcontext

    public Context createSubcontext(String name)
                             throws NamingException

    Specified by:createSubcontext in interface Context

    Throws:
    NamingException

    destroySubcontext

    public void destroySubcontext(Name name)
                           throws NamingException

    Specified by:destroySubcontext in interface Context

    Throws:
    NamingException

    destroySubcontext

    public void destroySubcontext(String name)
                           throws NamingException

    Specified by:destroySubcontext in interface Context

    Throws:
    NamingException

    list

    public NamingEnumeration list(Name name)
                           throws NamingException

    Specified by:list in interface Context

    Throws:
    NamingException

    list

    public NamingEnumeration list(String name)
                           throws NamingException

    Specified by:list in interface Context

    Throws:
    NamingException

    listBindings

    public NamingEnumeration listBindings(Name name)
                                   throws NamingException

    Specified by:listBindings in interface Context

    Throws:
    NamingException

    listBindings

    public NamingEnumeration listBindings(String name)
                                   throws NamingException

    Specified by:listBindings in interface Context

    Throws:
    NamingException

    composeName

    public Name composeName(Name name,
                            Name prefix)
                     throws NamingException

    Specified by:composeName in interface Context

    Throws:
    NamingException

    composeName

    public String composeName(String name,
                              String prefix)
                       throws NamingException

    Specified by:composeName in interface Context

    Throws:
    NamingException

    close

    public void close()
               throws NamingException

    Specified by:close in interface Context

    Throws:
    NamingException

    getNameInNamespace

    public String getNameInNamespace()
                              throws NamingException

    Specified by:getNameInNamespace in interface Context

    Throws:
    NamingException

    getNameParser

    public NameParser getNameParser(Name name)
                             throws NamingException

    Specified by:getNameParser in interface Context

    Throws:
    NamingException

    getNameParser

    public NameParser getNameParser(String name)
                             throws NamingException

    Specified by:getNameParser in interface Context

    Throws:
    NamingException

    addToEnvironment

    public Object addToEnvironment(String propName,
                                   Object propVal)
                            throws NamingException

    Specified by:addToEnvironment in interface Context

    Throws:
    NamingException

    removeFromEnvironment

    public Object removeFromEnvironment(String propName)
                                 throws NamingException

    Specified by:removeFromEnvironment in interface Context

    Throws:
    NamingException

    getEnvironment

    public Hashtable getEnvironment()

    Specified by:getEnvironment in interface Context

    getRoot

    protected NamingContext getRoot()

    stripProtocol

    protected Name stripProtocol(Name name)
                          throws NamingException

    Throws:
    NamingException

    stripProtocol

    protected String stripProtocol(String name)

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.